package org.rcisoft;

import com.ulisesbocchio.jasyptspringboot.annotation.EnableEncryptableProperties;
import org.mybatis.spring.annotation.MapperScan;
import org.rcisoft.core.doc.anno.CyDocAnno;
import org.rcisoft.core.doc.enums.CyDocEnum;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.security.config.annotation.method.configuration.EnableGlobalMethodSecurity;
import org.springframework.transaction.annotation.EnableTransactionManagement;


@SpringBootApplication(scanBasePackages = {"org.rcisoft"})
@EnableAspectJAutoProxy
@EnableScheduling
@EnableGlobalMethodSecurity(prePostEnabled=true)
@MapperScan(basePackages = {"org.rcisoft.**.dao","org.activiti.dao"})//扫描dao 不需要@repository
@CyDocAnno(CyDocEnum.DEMO)
@EnableEncryptableProperties
public class WmsApiApplication {

    public static void main(String[] args) {
        SpringApplication.run(WmsApiApplication.class, args);
    }

}
